> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasthemeimage.md).

# Get-RASThemeImage

### NAME

Get-RASThemeImage\ <br>

### SYNOPSIS

Retrieve theme images\ <br>

### SYNTAX

Get-RASThemeImage \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#Id)] *\<uint>*] \[\[-[DirPath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#DirPath)] *\<string>*] \[-[ImageType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#ImageType) {CompanyLogo | FaviconIcon | ConnectionBanner | ApplicationIcon | All}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#CommonParameters)*>*]\
\
Get-RASThemeImage \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#Name)] *\<string>* \[\[-[DirPath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#DirPath)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#SiteId)] *\<uint>*] \[-[ImageType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#ImageType) {CompanyLogo | FaviconIcon | ConnectionBanner | ApplicationIcon | All}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASThemeImage.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieve theme images\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the theme for which to retrieve the information.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DirPath \<string>**\
The target directory where to save the theme image files.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ImageType <**[**ThemeImageTypes**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ThemeImageTypes.html)**>**\
The image type to retrieve. By default, all images will be retrieved.\
\
Possible values: CompanyLogo, FaviconIcon, ConnectionBanner, ApplicationIcon, All\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                All
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the theme information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the theme for which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RASFiles](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASFiles.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASThemeImage -Id 1\
\
Retrieve all images for theme with Id 1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasthemeimage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
